treewalkers Package
===================

:mod:`treewalkers` Package
--------------------------

.. automodule:: html5lib.treewalkers
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`base` Module
------------------

.. automodule:: html5lib.treewalkers.base
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`dom` Module
-----------------

.. automodule:: html5lib.treewalkers.dom
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`etree` Module
-------------------

.. automodule:: html5lib.treewalkers.etree
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`etree_lxml` Module
------------------------

.. automodule:: html5lib.treewalkers.etree_lxml
    :members:
    :show-inheritance:
    :special-members: __init__

:mod:`genshi` Module
--------------------

.. automodule:: html5lib.treewalkers.genshi
    :members:
    :show-inheritance:
    :special-members: __init__
